org.keycloak.representations

## Class RefreshToken

- java.lang.Object
- - org.keycloak.representations.JsonWebToken
  - - org.keycloak.representations.IDToken
    - - org.keycloak.representations.AccessToken
      - - org.keycloak.representations.RefreshToken

- All Implemented Interfaces:
    Serializable

      public class RefreshToken
      extends AccessToken

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.representations.AccessToken

      `AccessToken.Access`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.representations.AccessToken

      `allowedOrigins, realmAccess, resourceAccess, trustedCertificates`

    - ### Fields inherited from class org.keycloak.representations.IDToken

      `address, birthdate, claimsLocales, country, email, emailVerified, familyName, formattedAddress, gender, givenName, locale, locality, middleName, name, nickName, nonce, phoneNumber, phoneNumberVerified, picture, postalCode, preferredUsername, profile, region, sessionState, streetAddress, updatedAt, website, zoneinfo`

    - ### Fields inherited from class org.keycloak.representations.JsonWebToken

      `audience, expiration, id, issuedAt, issuedFor, issuer, notBefore, subject, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefreshToken()`
    `RefreshToken(AccessToken token)` Deep copies issuer, subject, issuedFor, sessionState, realmAccess, and resourceAccess from AccessToken.

  - ### Method Summary

    - ### Methods inherited from class org.keycloak.representations.AccessToken

      `addAccess, audience, expiration, getAllowedOrigins, getRealmAccess, getResourceAccess, getResourceAccess, getTrustedCertificates, id, issuedAt, issuedFor, issuer, isVerifyCaller, isVerifyCaller, notBefore, setAllowedOrigins, setRealmAccess, setResourceAccess, setTrustedCertificates, subject, type`

    - ### Methods inherited from class org.keycloak.representations.IDToken

      `getAddress, getBirthdate, getClaimsLocales, getCountry, getEmail, getEmailVerified, getFamilyName, getFormattedAddress, getGender, getGivenName, getLocale, getLocality, getMiddleName, getName, getNickName, getNonce, getPhoneNumber, getPhoneNumberVerified, getPicture, getPostalCode, getPreferredUsername, getProfile, getRegion, getSessionState, getStreetAddress, getUpdatedAt, getWebsite, getZoneinfo, setAddress, setBirthdate, setClaimsLocales, setCountry, setEmail, setEmailVerified, setFamilyName, setFormattedAddress, setGender, setGivenName, setLocale, setLocality, setMiddleName, setName, setNickName, setNonce, setPhoneNumber, setPhoneNumberVerified, setPicture, setPostalCode, setPreferredUsername, setProfile, setRegion, setSessionState, setStreetAddress, setUpdatedAt, setWebsite, setZoneinfo`

    - ### Methods inherited from class org.keycloak.representations.JsonWebToken

      `getAudience, getExpiration, getId, getIssuedAt, getIssuedFor, getIssuer, getNotBefore, getSubject, getType, isActive, isExpired, isNotBefore, issuedNow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RefreshToken

          public RefreshToken()

    - #### RefreshToken

          public RefreshToken(AccessToken token)

      Deep copies issuer, subject, issuedFor, sessionState, realmAccess, and resourceAccess from AccessToken.
      Parameters:
        `token` -

Copyright © 2014. All Rights Reserved.